pk-distro-upgrade-obj
3
PACKAGEKIT Library

# pk-distro-upgrade-obj

## Synopsis

    PkDistroUpgradeObj * pk_distro_upgrade_obj_new          (void);
    PkDistroUpgradeObj * pk_distro_upgrade_obj_copy         (const PkDistroUpgradeObj *obj);
    PkDistroUpgradeObj * pk_distro_upgrade_obj_new_from_data
                                                            (PkUpdateStateEnum state,
                                                             const gchar *name,
                                                             const gchar *summary);
    gboolean            pk_distro_upgrade_obj_free          (PkDistroUpgradeObj *obj);

## Description

## Details

### pk_distro_upgrade_obj_new ()

    PkDistroUpgradeObj * pk_distro_upgrade_obj_new          (void);

Creates a new PkDistroUpgradeObj object with default values

Returns :

  a new PkDistroUpgradeObj object

### pk_distro_upgrade_obj_copy ()

    PkDistroUpgradeObj * pk_distro_upgrade_obj_copy         (const PkDistroUpgradeObj *obj);

`obj` :

Returns :

  a new PkDistroUpgradeObj object

### pk_distro_upgrade_obj_new_from_data ()

    PkDistroUpgradeObj * pk_distro_upgrade_obj_new_from_data
                                                            (PkUpdateStateEnum state,
                                                             const gchar *name,
                                                             const gchar *summary);

Creates a new PkDistroUpgradeObj object with values.

`state` :

`name` :

`summary` :

Returns :

  a new PkDistroUpgradeObj object

### pk_distro_upgrade_obj_free ()

    gboolean            pk_distro_upgrade_obj_free          (PkDistroUpgradeObj *obj);

`obj` :

  the PkDistroUpgradeObj object

Returns :

  `TRUE` if the PkDistroUpgradeObj object was freed.